package com.blamejared.compat.botania.lexicon;

import crafttweaker.CraftTweakerAPI;
import vazkii.botania.api.lexicon.LexiconRecipeMappings;
import com.blamejared.mtlib.helpers.InputHelper;
import vazkii.botania.api.lexicon.LexiconEntry;
import crafttweaker.api.item.IItemStack;
import net.minecraft.item.ItemStack;
import crafttweaker.IAction;

public class RemoveRecipeMapping implements IAction
{
    private ItemStack stack;
    private IItemStack iStack;
    private LexiconEntry entry;
    private int page;
    
    public RemoveRecipeMapping(final IItemStack stack) {
        this.iStack = stack;
    }
    
    public void apply() {
        final ItemStack stack = InputHelper.toStack(this.iStack);
        this.stack = stack;
        if (LexiconRecipeMappings.getDataForStack(stack) == null) {
            CraftTweakerAPI.getLogger().logError("There isn't a recipe mapping for " + this.iStack);
            return;
        }
        final LexiconRecipeMappings.EntryData data = LexiconRecipeMappings.getDataForStack(this.stack);
        this.entry = data.entry;
        this.page = data.page;
        LexiconRecipeMappings.remove(this.stack);
        CraftTweakerAPI.getLogger().logInfo("Removing Lexicon Recipe Lookup: " + this.stack.func_77977_a());
    }
    
    public String describe() {
        return "Attempting to remove recipe mapping for " + InputHelper.toStack(this.iStack);
    }
}
